# Method: organizations.customConstraints.list

- [HTTP request](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.request_body)
- [Response body](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.ListCustomConstraintsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#try-it)

Retrieves all of the custom constraints that exist on a particular organization resource.

### HTTP request

`GET https://orgpolicy.googleapis.com/v2/{parent=organizations/*}/customConstraints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The target Google Cloud resource that parents the set of custom constraints that will be returned from this call. Must be in one of the following forms: - `organizations/{organization_id}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `orgpolicy.customConstraints.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Size of the pages to be returned. This is not used, but the server may at any point start using this field to limit page size. |
| `pageToken` | `string` Page token used to retrieve the next page. This is not used, but the server may at any point start using this field. |

### Request body

The request body must be empty.

### Response body

The response returned from the `https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints/list#google.cloud.orgpolicy.v2.OrgPolicy.ListCustomConstraints` method. It will be empty if no custom or managed constraints are set on the organization resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customConstraints": [ { object (`https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints#CustomConstraint`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customConstraints[]` | ``object (`https://docs.cloud.google.com/organization-policy/reference/rest/v2/organizations.customConstraints#CustomConstraint`)`` All custom and managed constraints that exist on the organization resource. It will be empty if no custom constraints are set. |
| `nextPageToken` | `string` Page token used to retrieve the next page. This is not used, but the server may at any point start supplying a valid token. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).